/* eslint valid-jsdoc: "off" */

'use strict';

const { jwt } = require('./config.secret');
/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1632050612908_5301';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  config.cluster = {
    listen: {
      port: 6102,
    },
  };

  config.dbName = 'baoan-position';
  config.mongoose = {
    url: `mongodb://localhost:27017/${config.dbName}`,
    options: {
      user: 'c##baoandba',
      pass: 'baoan2021',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  config.map = {
    key: '322f362741dd84dd2c3f1d03825d9371',
    type: 'gps',
  };

  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'baoan',
  };
  // 服务设置
  config.dbServer = {
    ip: '106.12.161.200',
    port: '6101',
  };

  return {
    ...config,
    ...userConfig,
  };
};
